function [solution] = Solver_Main_2c(RVa,RVb,unit1,unit2,n1_1a,n1_2b)
        
    rv_1=RVa(1,1);
    rv_2=RVa(1,2);
    rv_3=RVa(1,3);
    rv_4=RVa(2,1);
    rv_5=RVa(2,2);
    rv_6=RVa(2,3);
    rv_7=RVa(3,1);
    rv_8=RVa(3,2);
    rv_9=RVa(3,3);
    
    
    % Known 3D line
    V1_1 = unit1(1,:);
    V2_1 = unit1(2,:);
    V3_1 = unit1(3,:);
    
    V1_2 = unit2(1,:);
    V2_2 = unit2(2,:);
    V3_2 = unit2(3,:);
    
    
    %line Correspandance 2D
    n1_1 =  n1_1a(1,:);
    n2_1 =  n1_1a(2,:);
    n3_1 =  n1_1a(3,:);
    
    n1_2 =  n1_2b(1,:);
    n2_2 =  n1_2b(2,:);
    n3_2 =  n1_2b(3,:);
    
    
    % Relative known Rotation parameters
    riv11_1=RVb(1,1);
    riv12_1=RVb(1,2);
    riv13_1=RVb(1,3);
    riv21_1=RVb(2,1);
    riv22_1=RVb(2,2);
    riv23_1=RVb(2,3);
    riv31_1=RVb(3,1);
    riv32_1=RVb(3,2);
    riv33_1=RVb(3,3);
    
    
    
    %Absolute Cam
    [A_1,B_1,Cst_1] = coef_Calculation_Abs(n1_1,n2_1,n3_1,V1_1,V2_1,V3_1,rv_1, rv_2, rv_3, rv_4, rv_5, rv_6, rv_7, rv_8, rv_9);
    [Ai_1,Bi_1,Ci_1,Di_1,Ei_1,Fi_1,Gi_1,Hi_1,Csti_1] = coef_Calculation_Rel_maple(n1_2,n2_2,n3_2,V1_2,V2_2,V3_2,rv_1, rv_2, rv_3, rv_4, rv_5, rv_6, rv_7, rv_8, rv_9,riv11_1,riv12_1,riv13_1,riv21_1,riv22_1,riv23_1,riv31_1,riv32_1,riv33_1);
    [qa_1, kr_1] = solver_Direct_Solver_Basic_equation_2C_fast(A_1, B_1, Cst_1, Ai_1, Bi_1, Ci_1, Di_1, Ei_1, Fi_1, Gi_1, Hi_1, Csti_1);
    q = [qa_1; kr_1];

    No_Solution=isempty(q);
    if(~isempty(q))
        solution.alpha=2*atan(q);
        solution.degree=(2*atan(q))*180/pi;
        solution.q=q;
        solution.No_Solution=No_Solution;
    else
        solution.q= [];
        solution.alpha=[];
        solution.degree=[];                
        solution.No_Solution=No_Solution;
        
        
    end
    
end
