function [Poses] = mv_pose_vd_LM_Solver(input,RandomLine,lineNum,camNum,iterations)

% estimates rotation for each 2 image pair (reference cam as a commun)
[q_listes_all] = Solver_Main_nc(input,RandomLine,camNum,iterations);
% linear system for the translation
[Translation_all] = Translation_solver_min(input,RandomLine,q_listes_all,camNum,iterations);

%Checking the solution
[Valide_All] = ValidatePoses_GimLee2(input,q_listes_all,Translation_all,camNum,iterations);

% Least Squares Solver Solutions
if isfield(Valide_All(1).DirectSolver_Checking,'Rotation') && ~isempty(Valide_All(1).DirectSolver_Checking.Rotation)
    % Least Squares Solver Solutions
    [q_listes_LS] = LeastSquaresSolver(input,Valide_All,lineNum,camNum);
    
    % linear system for the translation
    [Translation_solutions] = Translation_solver(input,q_listes_LS,lineNum,camNum);
    
    for y=1:camNum
        R_selected(:,:,y) = input(y).RV * rotMfromAngleRad3 (q_listes_LS.alpha(y), 0, 0);
        T_selected(1:3,y) = Translation_solutions.translation((y-1)*3+1:(y-1)*3+3);
        
        Poses{y} = [R_selected(:,:,y) T_selected(1:3,y) ; 0 0 0 1];
    end
    
else
    
    Poses{1,1}=nan;
end

end

